Bug 2138491 - The graphical install briefly shows "Initial Setup" even when the root account is disabled, after a fresh install, in all of the Fedora Spins
Summary: The graphical install briefly shows "Initial Setup" even when the root accoun...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 2138490 (view as bug list)
Depends On:
Blocks: F37FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2022-10-29 04:36 UTC by ar324
Modified: 2022-11-01 14:27 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Notice how "Initial Setup" briefly appears before the display manager is loaded (1.32 MB, application/x-matroska)
2022-10-29 04:36 UTC, ar324
no flags Details

Description ar324 2022-10-29 04:36:36 UTC
Created attachment 1920976 [details]
Notice how "Initial Setup" briefly appears before the display manager is loaded

Description of problem:
After a clean Fedora Spin (be it any Spin) is installed on a system, with the root account disabled, Anaconda briefly shows "Initial Setup" before the desktop is loaded. Please see the attached video. When I tried it on a VM, it stayed for a good few seconds, but typically, when I install on bare metal, it typically flashes and disappears.

I understand that the window shows up in order to set up user accounts when the root account is enabled during a live install. However, it should not flash when the root account is disabled.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Perform a clean install of any of the Fedora Spins (with the root account disabled)
2. Start the system after the install.
3. Notice how Anaconda briefly flashes before the desktop appears.

Actual results: Anaconda briefly flashes before the desktop appears.


Expected results: Anaconda should not briefly flash before the desktop appears.


Additional info:

Comment 1 Fedora Blocker Bugs Application 2022-10-29 04:39:49 UTC
Proposed as a Freeze Exception for 37-final by Fedora user ar324 using the blocker tracking app because:

 Flashing of the "Initial Setup" window might look unpolished. The GNOME version (which seems very polished) is not affected by this issue—only Spins are.

Comment 2 Neal Gompa 2022-10-30 06:42:23 UTC
This bug has affected all Fedora spins for years.

I tried to figure out why this happened during F33 and F34 timeframes but couldn't identify the problem (see https://pagure.io/fedora-kde/SIG/issue/142). It causes problems with Kinoite too, since the read-only root filesystem causes initial-setup to bug out a bit (see https://pagure.io/fedora-kde/SIG/issue/144 and https://pagure.io/fedora-kde/SIG/issue/119).

Comment 3 Kamil Páral 2022-11-01 09:21:38 UTC
Accepted as a freeze exception in:
https://pagure.io/fedora-qa/blocker-review/issue/994

Comment 4 Vendula Poncova 2022-11-01 14:26:47 UTC
*** Bug 2138490 has been marked as a duplicate of this bug. ***

Comment 5 Vendula Poncova 2022-11-01 14:27:51 UTC
Reassigning to the initial setup.


Note You need to log in before you can comment on or make changes to this bug.